# Command: Split

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    Split - splits array into subarrays of sequences of identical elements

Synopsis:

    array  Split	 -> [array1 ... arrayn]
      array proc Split -> [array1 ... arrayn]

Examples:

      [1 1 1 2 2 3 3 3 3 4 4 4] Split -> [[1 1 1] [2 2] [3 3 3 3] [4 4 4]]
      [1.1 1.3 1.7 2.1 2.3 2.7] {floor exch floor eq} Split ->
      [[1.1 1.3 1.7] [2.1 2.3 2.7]]
      [1] Split -> [[1]]
      [] Split  -> []

Remarks:

    Mathematica compatible

Author:

    Diesmann

FirstVersion:

    13.2.01

SeeAlso:

- Take
- Select

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative